| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Defines | Variables | Functions
system_ARMCM0.c File Reference

CMSIS Device System Source File for ARMCM0 Device Series. More...

## Defines

#define | __HSI
#define | __XTAL
#define | __SYSTEM_CLOCK

## Variables

uint32_t | SystemCoreClock

## Functions

void | SystemCoreClockUpdate (void)
void | SystemInit (void)
| Setup the microcontroller system. Initialize the System.

## Description

Version:
  V1.07

Date:
  30. January 2012

Note:
  Copyright (C) 2012 ARM Limited. All rights reserved.

  ARM Limited (ARM) is supplying this software for use with Cortex-M processor based microcontrollers. This file can be freely distributed within development tools that are supporting such ARM based processors.

  THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.

## Define Documentation

#define __HSI

#define __SYSTEM_CLOCK

Referenced by SystemCoreClockUpdate(), and SystemInit().

#define __XTAL

## Variable Documentation

uint32_t SystemCoreClock

System Clock Frequency (Core Clock)

Referenced by SystemCoreClockUpdate(), and SystemInit().

## Function Documentation

void SystemCoreClockUpdate | ( | void |  | ) |

References __SYSTEM_CLOCK, and SystemCoreClock.

void SystemInit | ( | void |  | ) |

Initialize the system

Parameters:

  none |

Returns:
  none

References __SYSTEM_CLOCK, and SystemCoreClock.